Poglavje 2. Zaženite GIMP
| Del I. Prvi koraki |

## Poglavje 2. Zaženite GIMP

## 1. Poganjanje GIMP-a

Most often, you start GIMP either by clicking on an icon (if your system is set up to provide you with one), or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to type gimp-2.8 to get the latest version. You can, if you want, give a list of image files on the command line after the program name, and they will automatically be opened by GIMP as it starts. It is also possible, though, to open files from within GIMP once it is running.

Most operating systems support file associations, which associates a class of files (as determined by their filename extension, such as .jpg) with a corresponding application (such as GIMP). When image files are properly “associated” to GIMP, you can double click on an image to open it in GIMP.

### 1.1. Znane platforme

The GIMP is the most widely supported image manipulation available today. The platforms on which GIMP is known to work include:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, and BeOS™.

The GIMP is easily ported to other operating systems because of its source code availability. For further information visit the GIMP developers homepage. [GIMP-DEV].

### 1.2. Jezik

GIMP automatically detects and uses the system language. In the unlikely event that language detection fails, or if you just want to use a different language, since GIMP-2.8, you can do so through: Edit → Preferences → Interface.

You can also use:

Under Linux

  In LINUX: in console mode, type `LANGUAGE=en gimp` or `LANG=en gimp` replacing en by fr, de, ... according to the language you want. Background: Using `LANGUAGE=en` sets an environment variable for the executed program `gimp`.

Under Windows XP

  Control Panel → System → Advanced → Environment button in “System Variables” area: Add button: Enter LANG for Name and fr or de... for Value. Watch out! You have to click on three successive OK to validate your choice.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for french for instance):

  `set lang=fr
  start gimp-2.8.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

  Another possibility: Start → Programs → GTK Runtime Environment Then Select language and select the language you want in the drop-down list.

Under Apple Mac OS X

  From System Preferences, click on the International icon. In the Language tab, the desired language should be the first in the list.

Another GIMP instance

  Use `-n` to run multiple instances of GIMP. For example, use `gimp-2.8` to start GIMP in the default system language, and `LANGUAGE=en gimp-2.8 -n` to start another instance of GIMP in English; this is very useful for translators.

### 1.3. Argumenti ukazne vrstice

Although arguments are not required when starting GIMP, the most common arguments are shown below. On a Unix system, you can use `man gimp`for a complete list.

Command line arguments must be in the command line that you use to start GIMP as gimp-2.8 [OPTION...] [FILE|URI...].

-?, --help

  Prikaži seznam vseh ukaznih možnosti.

--help-all

  Pokaži vse možnosti pomoči.

--help-gtk

  Pokaži vse možnosti GTK+.

-v, --version

  Izpiši različico GIMP in zapri program.

--license

  Pokaži licenčne podatke in končaj z delom.

--verbose

  Pokaži podrobna sporočila ob zagonu.

-n, --new-instance

  Zaženi še en program GIMP.

-a, --as-new

  Odpri slike kot nove.

-i, --no-interface

  Zaženi brez uporabniškega vmesnika.

-d, --no-data

  Do not load patterns, gradients, palettes, or brushes. Often useful in non-interactive situations where start-up time is to be minimized.

-f, --no-fonts

  Do not load any fonts. This is useful to load GIMP faster for scripts that do not use fonts, or to find problems related to malformed fonts that hang GIMP.

-s, --no-splash

  Ob zagonu ne kaži začetnega zaslona.

--no-shm

  Ne uporabljaj deljenega pomnilnika med programom GIMP in vtičniki

--no-cpu-accel

  Do not use special CPU acceleration functions. Useful for finding or disabling buggy accelerated hardware or functions.

--session=`ime`

  Use a different `sessionrc` for this GIMP session. The given session name is appended to the default `sessionrc` filename.

--gimprc=`ime_datoteke`

  Use an alternative `gimprc` instead of the default one. The `gimprc` file contains a record of your preferences. Useful in cases where plugins paths or machine specs may be different.

--system-gimprc=`ime_datoteke`

  Uporabi nadomestno sistemsko datoteko gimprc.

-b, --batch=`ukazi`

  Execute the set of commands non-interactively. The set of commands is typically in the form of a script that can be executed by one of the GIMP scripting extensions. When the command is `-`, commands are read from standard input.

--batch-interpreter=`proc`

  Specify the procedure to use to process batch commands. The default procedure is Script-Fu.

--console-messages

  Do not popup dialog boxes on errors or warnings. Print the messages on the console instead.

--pdb-compat-mode=`način`

  Način združljivosti PDB (off|on|warn).

--stack-trace-mode=`način`

  Razhrošči v primeru sesutja (never|query|always).

--debug-handlers

  Omogoči obdelavo neusodnih razhroščevalnih signalov. Uporabno za razhroščevanje programa GIMP.

--g-fatal-warnings

  Vsa opozorila naj bodo usodna. Uporabno za razhroščevanje.

--dump-gimprc

  Izvozi datoteko gimprc s privzetimi nastavitvami. Uporabno, če ste zapacali datoteko gimprc.

--display=`zaslon`

  Uporabi določeni zaslon X (ne velja za vse operacijske sisteme).

2. Kaj je novega v GIMP-u 2.8? |  | 2. Prvi zagon programa GIMP

Report an error in Bugzilla